﻿using DotNetCore.CAP;
using Push.Share;
using Push.Share.Dtos;
using XF.Domain.Dependency;

namespace Push.YiBin.Application;

public class EventSubscriber : ICapSubscribe, ITransientDependency
{
    private readonly IPushDomainService _pushDomainService;

    public EventSubscriber(IPushDomainService pushDomainService)
    {
        _pushDomainService = pushDomainService;
    }

    [CapSubscribe(EventNames.SendSms)]
    public async Task PushSmsAsync(MessageDto dto, CancellationToken cancellationToken)
    {
        await _pushDomainService.PushAsync(dto, cancellationToken);
    }
}