﻿using Microsoft.Extensions.Options;
using XF.Domain.Dependency;

namespace Push.YiBin
{
    public class ChannelConfigurationManager : IChannelConfigurationManager, IScopeDependency
    {
        private readonly IOptionsSnapshot<ChannelConfiguration> _channelOption;

        /// <summary>
        /// 
        /// </summary>
        /// <param name="channelOption"></param>
        public ChannelConfigurationManager(IOptionsSnapshot<ChannelConfiguration> channelOption)
        {
            _channelOption = channelOption;
        }

        /// <summary>
        /// 获取服务名称
        /// </summary>
        /// <returns></returns>
        public string GetConfigurationProcessingServices()
        {
            return _channelOption.Value.ProcessingServices;
        }

        /// <summary>
        /// 获取短信推送地址
        /// </summary>
        /// <returns></returns>
        public string GetConfigurationHotlineAddressUrl()
        {
            return _channelOption.Value.HotlineAddressUrl;
        }
    }
}
