﻿using Push.Share.Enums;

namespace Push.YiBin
{
    /// <summary>
    /// 待发表
    /// </summary>
    public class WaitMessage : CreationEntity
    {
        /// <summary>
        /// 业务类型（区分从哪个平台来的短信数据）
        /// </summary>
        [SugarColumn(ColumnDescription = "业务类型（区分从哪个平台来的短信数据）")]
        public string ClientId { get; set; }

        /// <summary>
        /// 外部业务唯一编号
        /// </summary>
        [SugarColumn(ColumnDescription = "外部业务唯一编号")]
        public string? ExternalId { get; set; }

        /// <summary>
        /// 业务系统短信ID
        /// </summary>
        [SugarColumn(ColumnDescription = "业务系统短信ID")]
        public int WaitSendId { get; set; } = 0;

        /// <summary>
        /// 推送状态
        /// </summary>
        [SugarColumn(ColumnDescription = "推送状态")]
        public EPushStatus Status { get; set; } = EPushStatus.Waiting;

        /// <summary>
        /// 推送次数
        /// </summary>
        [SugarColumn(ColumnDescription = "推送次数")]
        public int SendTimes { get; set; }

        /// <summary>
        /// 短信内容
        /// </summary>
        [SugarColumn(ColumnDescription = "短信内容")]
        public string Content { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnDescription = "备注", ColumnDataType = "varchar(500)", IsNullable = true)]
        public string? Remark { get; set; }

        /// <summary>
        /// 接收姓名
        /// </summary>
        [SugarColumn(ColumnDescription = "接收姓名")]
        public string Name { get; set; }

        /// <summary>
        /// 接收手机号码
        /// </summary>
        [SugarColumn(ColumnDescription = "接收手机号码")]
        public string TelNumber { get; set; }

        /// <summary>
        /// 发送失败原因等
        /// </summary>
        [SugarColumn(ColumnDescription = "发送失败原因等", ColumnDataType = "varchar(200)", IsNullable = true)]
        public string? Reason { get; set; }

        /// <summary>
        /// 标识版本字段
        /// </summary>
        [SqlSugar.SugarColumn(IsEnableUpdateVersionValidation = true)]
        public Guid Ver { get; set; }
    }
}
